Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Client
Name | ### readStringUntil()
Examples |
    // Example by Tom Igoe

    // Creates a client that listens for input until it
    // gets a linefeed character,and puts the bytes it gets
    // into a byte[] buffer

    import processing.net.*;
    Client myClient;
    String inString;
    byte interesting = 10;

    void setup() {
      size (300, 100);
      // Connect to the local machine at port 10002.
      // This example will not run if you haven't
      // previously started a server on this port
      myClient = new Client(this, "127.0.0.1", 10002);
    }

    void draw() {
      if (myClient.available() > 0) {
        background(0);
        inString = myClient.readStringUntil(interesting);
        println(inString);
      }
    }
Description | Combination of readBytesUntil() and readString(). Returns null if it doesn't find what you're looking for.
Syntax |
    client.readStringUntil()
    client.readStringUntil(interesting)
Parameters |
client | any variable of type Client
interesting | byte: character designated to mark the end of the data
Returns | String
Usage | Application

Updated on June 14, 2010 12:05:29pm EDT